【活用ガイド】

[English]

JVNDB-2018-000008

Spring Security と Spring Framework に認証回避の脆弱性

概要

Pivotal Software, Inc. が提供する Spring Security と Spring Framework には、認証回避の脆弱性が存在します。


この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: Macchinettaフレームワーク開発チーム:NTTコムウェア、NTTデータ、NTT

CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 5.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 5.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
影響を受けるシステム


Pivotal Software, Inc.
  • Spring Framework 4.3.0 から 4.3.13 まで
  • Spring Framework 5.0.0 から 5.0.2 まで
  • Spring Security 4.1.0 から 4.1.4 まで
  • Spring Security 4.2.0 から 4.2.3 まで
  • Spring Security 5.0.0

開発者によると、当該製品の、メインテナンスされていない過去のバージョンの分析は実施しておらず、それらのバージョンも本脆弱性の影響を受ける可能性があるとのことです。
想定される影響

遠隔の第三者によって認証機能が回避され、結果として情報が漏えいする可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。
ベンダ情報

Pivotal Software, Inc. 日本電気
  • NEC製品セキュリティ情報 : NV18-004
富士通
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な認証(CWE-287) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2018-1199
参考情報

  1. JVN : JVN#15643848
更新履歴

  • [2018年02月02日]
      掲載
    [2018年02月08日]
      ベンダ情報:Pivotal Software, Inc. の情報を更新
      概要:内容を更新
      共通脆弱性識別子(CVE):CVE-ID を更新
  • [2018年03月27日]
      ベンダ情報:日本電気 (NV18-004) を追加
  • [2018年04月18日]
      ベンダ情報:富士通 (Interstage Business Application Server: Spring Securityに認証回避の脆弱性(CVE-2018-1199)(2018年4月17日)) を追加